#!/usr/bin/env python
#--------------------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2008
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program License Agreement.
# See the software licensing materials that came with the IBM XIV Storage System for terms and conditions.
#
#--------------------------------------------------------------------------------------------------------------

from host_attach import logger, is_this_ip_address, execute_and_log, is_error_free
from platform import system, dist
from socket import socket, AF_INET, SOCK_STREAM
from sys import exit  

import open_iscsi, linux_iscsi

if (dist().__contains__('redhat') or dist().__contains__('centos')) and dist().__contains__('4'):
	from linux_iscsi import get_connected_sessions, connect_to_2810, disconnect_from_2810, iscsi_configure, iscsi_verify, iscsi_scan, iscsi_print_initiator
else:
	from open_iscsi import get_connected_sessions, connect_to_2810, disconnect_from_2810, iscsi_configure, iscsi_verify, iscsi_scan, iscsi_print_initiator
